Subject: Re: [PATCH] [POWERPC] 40X: Add Default Restart Machdep Method to 40X Platforms

From: Stefan Roese <[email-masked]>
Date: Sat, 1 Mar 2008 12:32:54 +0100

On Saturday 23 February 2008, Grant Erickson wrote:
> This patch restores the reset on restart functionality to 40x-based
> platforms that was formerly provided--but not used in arch/powerpc--by
> abort() in head_40x.S. This functionality is now provided by
> ppc40x_reset_system(char *) in a fashion similar to that of the 44x-based
> platforms.
>
> Compiled, linked and tested against the AMCC Haleakala board.

Instead of duplicating this code in platform/40x/ which is already present in 
platforms/44x/misc_44x.S, why not move this misc_44x.S code into a common 
place for all 4xx (40x and 44x) PPC's? There seems to be nothing 44x 
specific.

I suggest to introduce platforms/4xx/misc.S or sysdev/ppc4xx_misc.S with these 
functions and change the code referencing it accordingly.

Comments/thoughts?

Best regards,
Stefan